[blfs-support] gunutls-3.3.9 not compiling properly

Patrick Kennedy kennedypj at gmail.com
Sun Nov 2 09:53:38 PST 2014


I'm sure my question here is borderline basic for many users, but I got
through the entire LFS and now am doing BLFS stuff - so, I'm making
progress...please bare with me.   I am studying about pkg-config stuff and
how to add library and include files to help things build properly.  I'm
trying to build gnutls-3.3.9 with nettle support.  I  have LFS is 7.6
(sysvinit) and when I run this line of code

./configure --prefix=/usr \
    --with-default-trust-store-file=/etc/ssl/ca-bundle.crt && make

it bombs during the config, because nettle support cannot be found -

checking for inline... inline
checking for ANSI C header files... (cached) yes
checking cpuid.h usability... yes
checking cpuid.h presence... yes
checking for cpuid.h... yes
checking for NETTLE... no
configure: error:
  ***
  *** Libnettle 2.7.1 was not found.

Can someone provide a pointer on how to let gnutls-3.3.9 build with nettle
support?  The normal instructions  @ BLFS did not work - so, maybe there is
a problem with my LFS system - but everything seems to be fine otherwise.

Thanks.  ~PK
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.linuxfromscratch.org/pipermail/blfs-support/attachments/20141102/d0bb58cf/attachment.html>


More information about the blfs-support mailing list